POST Person/Validate
Some tooltip text!
• 12 minutes to read
• 12 minutes to read
POST /api/v1/Person/Validate
Check that entity is ready for saving, return error messages by field.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: personEntity
Entity to be checked for errors.
| Property Name | Type | Description |
|---|---|---|
| PersonId | Integer | Primary key |
| Firstname | String | First name |
| MiddleName | String | Middle name or 'van' etc. |
| Lastname | String | Last name |
| Mrmrs | String | e.g. Mrs sex_title |
| Title | String | Title |
| UpdatedDate | String | Last updated date in UTC. |
| CreatedDate | String | Registered date in UTC. |
| BirthDate | String | The Person birth date as UTC Date. Year 1 = Null. Year 2 = unknown year. |
| CreatedBy | Associate | The user that created the person object |
| Emails | Array | A collection of the person's emails |
| Description | String | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| IsAssociate | Boolean | Checks if the person object is an associate. The property is read-only. |
| PrivatePhones | Array | Returns a collection of phone numbers that belong to the contact person. |
| Faxes | Array | Returns a collection of fax numbers that belong to the contact person. |
| MobilePhones | Array | Returns a collection of mobile phone numbers that belong to the contact person. |
| OfficePhones | Array | Returns a collection of office phone numbers that belong to the contact person. |
| OtherPhones | Array | Returns a collection of pagers that belong to the contact person. |
| Position | Position | The position. This is a predefined SuperOffice value, different from Title |
| UpdatedBy | Associate | The person that last updated the person object |
| Contact | Contact | The contact the contact person is registered on. This is required unless the 'MandatoryContactOnPerson' preference is set. |
| Country | Country | The country this contact person is located in. |
| Interests | Array | The person's available and selected interests. |
| PersonNumber | String | Alphanumeric user field |
| FullName | String | The person's full name localized to the current culture/country. (internal name used in clients for employees) |
| NoMailing | Boolean | Spam filter. Indicates if this person should retrieve advertising. |
| UsePersonAddress | Boolean | True if the person's address should be used as mailing address, instead of the contact's address. |
| Retired | Boolean | True if the user is retired and should have no rights, not appear in lists, etc. |
| Urls | Array | The urls related to this person. |
| FormalName | String | Get formal name for a person, as used in labels. (Full name + person title + academic title) |
| Address | Address | Structure holding formatted address data. The layout of the array structure indicates the layout of the localized address. |
| Post3 | String | Postal address, used in Japanese versions only |
| Post2 | String | Postal address, used in Japanese versions only |
| Post1 | String | Postal address, used in Japanese versions only |
| Kanalname | String | Kana last name, used in Japanese versions only |
| Kanafname | String | Kana first name, used in Japanese versions only |
| CorrespondingAssociate | Associate | The associate corresponding to this person. Will be empty if the person is not a user (internal associate user, external user). |
| Category | Category | Person's category. Usually null. Refer to the Contact.Category instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) |
| Business | Business | Person's business - usually blank. Use Contact.Business instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) |
| Associate | Associate | The associate owning this person (similar to contact.Associate) - usually blank. Use the Person.Contact.Associate instead. Intended for use when individual persons are created (i.e. when Person.Contact is blank) |
| Salutation | String | Academic title, populated from Salutation list but can be overwritten with anything at all |
| ActiveInterests | Integer | The number of active interests. |
| SupportAssociate | Associate | |
| TicketPriority | TicketPriority | |
| CustomerLanguage | CustomerLanguage | |
| DbiAgentId | Integer | Integration agent (eJournal) |
| DbiKey | String | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | String | When the entry was last modified. |
| DbiLastSyncronized | String | Last external syncronization. |
| SentInfo | Integer | Has information on username/password been sent (ejournal) |
| ShowContactTickets | Integer | Should tickets related to the company be shown to this person |
| UserInfo | UserInfo | Information about the user if this person is a user. If IsAssociate (e.g. is user is true) the UserInfo will be provided. |
| ChatEmails | Array | |
| InternetPhones | Array | |
| Source | Integer | How did we get this person? For future integration needs |
| ActiveErpLinks | Integer | How many active ERP links are there for this person? |
| ShipmentTypes | Array | The person's available and selected shipment types. |
| Consents | Array | The person's available consent information. Missing consents are not deleted. To remove a consent, mark its legalbase as 'WITHDRAWN' |
| BounceEmails | Array | Email addresses with a positive bounce counter. |
| ActiveStatusMonitorId | Integer | Active status monitor identity with the lowest rank for person |
| CreatedByFormId | Integer | The form id of the form that created the person |
| UtmParameters | SavedUtmParameters | Utm parameters when creating this person, readonly fields |
| LeadstatusId | Integer | Refinement of categories of lead type. Empty if the category is not a lead type. |
| UserDefinedFields | Object | Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | Object | Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | Object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.PersonEntity.ExtraFields} and |
Response:object
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: object
Sample request
POST /api/v1/Person/Validate
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"PersonId": 507,
"Firstname": "Van",
"MiddleName": "Abernathy-Kunze",
"Lastname": "Kozey",
"Mrmrs": "doloribus",
"Title": "quod",
"UpdatedDate": "2021-02-03T14:34:02.1426809+01:00",
"CreatedDate": "2010-05-17T14:34:02.1426809+02:00",
"BirthDate": "2001-10-10T14:34:02.1426809+02:00",
"CreatedBy": null,
"Emails": [
{
"Value": "deleniti",
"StrippedValue": "impedit",
"Description": "Exclusive multi-state customer loyalty"
},
{
"Value": "deleniti",
"StrippedValue": "impedit",
"Description": "Exclusive multi-state customer loyalty"
}
],
"Description": "Networked well-modulated hierarchy",
"IsAssociate": false,
"PrivatePhones": [
{
"Value": "libero",
"StrippedValue": "et",
"Description": "Profit-focused incremental standardization"
},
{
"Value": "libero",
"StrippedValue": "et",
"Description": "Profit-focused incremental standardization"
}
],
"Faxes": [
{
"Value": "qui",
"StrippedValue": "suscipit",
"Description": "Programmable local info-mediaries"
},
{
"Value": "qui",
"StrippedValue": "suscipit",
"Description": "Programmable local info-mediaries"
}
],
"MobilePhones": [
{
"Value": "et",
"StrippedValue": "temporibus",
"Description": "Centralized empowering archive"
},
{
"Value": "et",
"StrippedValue": "temporibus",
"Description": "Centralized empowering archive"
}
],
"OfficePhones": [
{
"Value": "ea",
"StrippedValue": "qui",
"Description": "Customer-focused multimedia interface"
},
{
"Value": "ea",
"StrippedValue": "qui",
"Description": "Customer-focused multimedia interface"
}
],
"OtherPhones": [
{
"Value": "cumque",
"StrippedValue": "ex",
"Description": "Extended mobile protocol"
},
{
"Value": "cumque",
"StrippedValue": "ex",
"Description": "Extended mobile protocol"
}
],
"Position": null,
"UpdatedBy": null,
"Contact": null,
"Country": null,
"Interests": [
{
"Id": 127,
"Name": "Runte Inc and Sons",
"ToolTip": "Tempore dolorum qui ut.",
"Deleted": false,
"Rank": 196,
"Type": "et",
"ColorBlock": 95,
"IconHint": "repellat",
"Selected": false,
"LastChanged": "2024-08-31T14:34:02.1457207+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "ab",
"StyleHint": "dolor",
"Hidden": false,
"FullName": "Mr. Neil Verona Terry IV"
}
],
"PersonNumber": "1178862",
"FullName": "Tyshawn Ondricka",
"NoMailing": false,
"UsePersonAddress": false,
"Retired": false,
"Urls": [
{
"Value": "repellendus",
"StrippedValue": "quis",
"Description": "Polarised incremental standardization"
},
{
"Value": "repellendus",
"StrippedValue": "quis",
"Description": "Polarised incremental standardization"
}
],
"FormalName": "Wintheiser, Hayes and Pfannerstill",
"Address": null,
"Post3": "architecto",
"Post2": "velit",
"Post1": "sunt",
"Kanalname": "sint",
"Kanafname": "sequi",
"CorrespondingAssociate": null,
"Category": null,
"Business": null,
"Associate": null,
"Salutation": "facere",
"ActiveInterests": 996,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"DbiAgentId": 872,
"DbiKey": "alias",
"DbiLastModified": "2005-03-05T14:34:02.1487179+01:00",
"DbiLastSyncronized": "2006-09-25T14:34:02.1487179+02:00",
"SentInfo": 576,
"ShowContactTickets": 60,
"UserInfo": null,
"ChatEmails": [
{
"Value": "amet",
"StrippedValue": "est",
"Description": "Re-contextualized 5th generation migration"
},
{
"Value": "amet",
"StrippedValue": "est",
"Description": "Re-contextualized 5th generation migration"
}
],
"InternetPhones": [
{
"Value": "omnis",
"StrippedValue": "labore",
"Description": "Configurable dynamic function"
},
{
"Value": "omnis",
"StrippedValue": "labore",
"Description": "Configurable dynamic function"
}
],
"Source": 209,
"ActiveErpLinks": 308,
"ShipmentTypes": [
{
"Id": 127,
"Name": "Dietrich LLC",
"ToolTip": "Eius consectetur molestiae quia.",
"Deleted": false,
"Rank": 575,
"Type": "est",
"ColorBlock": 980,
"IconHint": "et",
"Selected": false,
"LastChanged": "2003-05-01T14:34:02.1487179+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "sunt",
"StyleHint": "placeat",
"Hidden": false,
"FullName": "Chaim Brekke"
}
],
"Consents": [
{
"ConsentPersonId": 917,
"Comment": "ut",
"Registered": "2009-04-15T14:34:02.1497177+02:00",
"RegisteredAssociateId": 814,
"Updated": "2021-03-01T14:34:02.1497177+01:00",
"UpdatedAssociateId": 981,
"LegalBaseId": 291,
"LegalBaseKey": "voluptatibus",
"LegalBaseName": "Sawayn, Sanford and Hermiston",
"ConsentPurposeId": 160,
"ConsentPurposeKey": "porro",
"ConsentPurposeName": "Schiller-Rice",
"ConsentSourceId": 449,
"ConsentSourceKey": "eum",
"ConsentSourceName": "Franecki, Walter and Pollich"
}
],
"BounceEmails": [
"myah@mante.com",
"theo@heathcotesimonis.info"
],
"ActiveStatusMonitorId": 363,
"CreatedByFormId": 992,
"UtmParameters": null,
"LeadstatusId": 972,
"UserDefinedFields": {
"SuperOffice:1": "938117528",
"SuperOffice:2": "Flavie Goodwin III"
},
"ExtraFields": {
"ExtraFields1": "quaerat",
"ExtraFields2": "est"
},
"CustomFields": {
"CustomFields1": "est",
"CustomFields2": "adipisci"
}
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"1": "mollitia",
"2": "veniam"
}